org.apache.solr.handler.component

## Class AnalyticsComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.AnalyticsComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin

      public class AnalyticsComponent
      extends SearchComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `NamedList` | `getStatistics()`
    `String` | `getVersion()`
    `void` | `prepare(ResponseBuilder rb)`
    `void` | `process(ResponseBuilder rb)`

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, finishStage, getCategory, getDocs, getSource, handleResponses, init, modifyRequest, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnalyticsComponent

          public AnalyticsComponent()

  - ### Method Detail

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Specified by:
        `prepare` in class `SearchComponent`
      Throws:
        `IOException`

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Specified by:
        `process` in class `SearchComponent`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SolrInfoMBean`
      Overrides:
        `getName` in class `SearchComponent`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `SolrInfoMBean`
      Overrides:
        `getVersion` in class `SearchComponent`

    - #### getStatistics

          public NamedList getStatistics()

      Specified by:
        `getStatistics` in interface `SolrInfoMBean`
      Overrides:
        `getStatistics` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.